<?php
/*
* Plugin Name: Magic Text Widget
* Version: 2.1
* Plugin URI: http://josekost.fr/magic-text-widget/
* Description: Ce plugin met &agrave; votre disposition un Widget Magic-Text-Widget qui permet - <strong>sans avoir &agrave; &eacute;crire du code</strong> - de cr&eacute;er des banni&egrave;res d'appel &agrave; l'action ou simplement d'afficher rapidement un texte enrichi (avec une des 40 Google Fonts disponibles par exemple) et/ou une image.
* Author URI: http://josekost.fr/
License: This is commercial software. You may not edit the code nor distribute the software without prior written permission from the author.
Copyright 2013 Jose Kost
*/

/*
License: Il s'agit d'un logiciel commercial. Merci de pas modifier le code, ni distribuer le logiciel sans autorisation ecrite prealable de l'auteur. 
Copyright 2012-2013 Jose Kost

CE LOGICIEL EST FOURNI PAR LES TITULAIRES DES DROITS D'AUTEUR ET LES CONTRIBUTEURS 'EN L'ETAT' ET TOUTE GARANTIE EXPLICITE OU IMPLICITE, Y COMPRIS, MAIS 
SANS QUE CETTE LISTE NE SOIT LIMITATIVE, LES GARANTIES IMPLICITES DE QUALITE MARCHANDE, OU D'ADEQUATION A UN USAGE PARTICULIER, EST EXCLUE. EN AUCUN CAS LES 
TITULAIRES DES DROITS D'AUTEUR OU LES CONTRIBUTEURS NE SERONT TENUS RESPONSABLES DES DOMMAGES DIRECTS, INDIRECTS, ACCESSOIRES, SPECIAUX, PUNITIFS OU 
CONSECUTIFS (Y COMPRIS, MAIS SANS QUE CETTE LISTE NE SOIT LIMITATIVE, L'ACQUISITION DE PRODUITS OU SERVICES DE SUBSTITUTION ; LA PERTE DE JOUISSANCE, DE 
DONNEES OU DE BENEFICES, OU LES PERTES D'EXPLOITATION) QUELLES QU'EN SOIENT LES CAUSES ET QUELQUE SOIT LE TYPE DE RESPONSABILITE, CONTRACTUELLE, SANS FAUTE 
OU FONDEE SUR UN DELIT CIVIL (Y COMPRIS PAR NEGLIGENCE OU POUR UNE AUTRE CAUSE) RESULTANT D'UNE MANIERE OU D'UNE AUTRE DE L'UTILISATION DE CE LOGICIEL, MEME 
SI MENTION A ETE FAITE DE LA POSSIBILITE DE TELS DOMMAGES.
*/

if ( !defined('ABSPATH') )
die('-1');
	
if ( ! defined( 'MAGICTEXTWIDGET_URL' ) )
define( 'MAGICTEXTWIDGET_URL', plugin_dir_url( __FILE__ ));
$plugin_data = get_file_data(__FILE__, array('Version' => 'Version'));
define('MAGICTEXTWIDGET_VERSION', $plugin_data['Version']);


// I18n
// load_plugin_textdomain( 'magictextwidget', false, dirname( plugin_basename( __FILE__ ) ) );

if (!function_exists('MTW_enqueue_stylesheet')) {
function MTW_enqueue_stylesheet() {
wp_enqueue_style( 'mtw-style', ( MAGICTEXTWIDGET_URL . 'css/style.css' ), __FILE__ );
}
add_action( 'wp_enqueue_scripts', 'MTW_enqueue_stylesheet' );
}

register_activation_hook( __FILE__, 'MTW_activation' );
function MTW_activation ($message = 'General')
{
$error = '';
if ( version_compare( get_bloginfo('version'), '3.5', '<') )
$error = __( "This plugin requires WordPress 3.5 or greater.", 'magictextwidget' );
if ( $error ){
deactivate_plugins( basename( __FILE__ ) );
wp_die( $error );
} else {
$report = "$message\n";
$report .= get_bloginfo('name'). "\n";
$report .= get_bloginfo('url'). "\n";
$report .= get_bloginfo('admin_email'). "\n";
$report .= 'WP Version: ' . get_bloginfo('version'). "\n";
$report .= 'Plugin Version: ' . MAGICTEXTWIDGET_VERSION . "\n";
$report .= "$message\n";
@wp_mail('support@vousweb.com', "Rapport: MagicTextWidget $message", $report);
}
}

function MTW_action_links( $links, $file ) {
$mylink = '<a href="' . admin_url( 'widgets.php' ) . '">' . __( 'Widgets' ) . '</a>';
array_push( $links, $mylink );
return $links;
}
add_filter( 'plugin_action_links_'.plugin_basename( __FILE__ ), 'MTW_action_links', 10, 2 );

add_action( "admin_print_scripts-widgets.php", 'MTW_print_styles' );
function MTW_print_styles() {
wp_enqueue_style( 'thickbox' );
wp_enqueue_style('wp-color-picker');
}
add_action( "admin_print_scripts-widgets.php", 'MTW_print_scripts' );
function MTW_print_scripts() {
wp_enqueue_script( 'thickbox' );
wp_enqueue_script( 'media-upload' );
wp_enqueue_script( 'wp-color-picker' );
wp_enqueue_script( 'wp-color-picker-settings',  MAGICTEXTWIDGET_URL . 'js/mtwsettings.js', array( 'wp-color-picker' ), false, true );
wp_enqueue_script('mtwscript', MAGICTEXTWIDGET_URL . 'js/mtwupload.js', null, null, true);
}

include_once('inc/MagicTextWidget.php');

?>